GPOLYMARKER(3NCARG)

NAME
gpolymarker (Polymarker) - the polymarker output primitive draws selected symmetric symbols to mark user-specified coordinate positions.

SYNOPSIS
#include <ncarg/gks.h>

void gpolymarker(const Gpoint_list *point_list);

DESCRIPTION

point_list.num_points
    (Gint, Input) - The number of markers to be drawn. Must be greater than zero.

point_list.points
    (Gpoint *, Input) - The X and Y coordinates of the point_list.num_points markers to be drawn, in world coordinates.

USAGE
By default, the polymarker type is an asterisk. To select other polymarker types and attributes, see the man page for gset_marker_type(3NCARG).

Note that the coordinate pairs must be in world coordinates and not user coordinates. Among other things, this means that the log scaling and mirror-imaging features available via the c_set call and the SPPS functions for drawing dots and markers are not applicable here.

ACCESS
To use the GKS C-binding routines, load the ncarg_gks and ncarg_c libraries.

SEE ALSO
Online: gset_marker_type(3NCARG), gset_marker_size(3NCARG), gset_colr_rep(3NCARG), gset_marker_colr_ind(3NCARG), ginq_marker_type(3NCARG), ginq_marker_size(3NCARG), ginq_marker_colr_ind(3NCARG), point(3NCARG), points(3NCARG), ngdots(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.